List test data sets
Inspect reusable test data sets belonging to the project before selecting a testDataSetId..
curl -X GET "https://app.aegisrunner.com/api/v1/projects/123e4567-e89b-12d3-a456-426614174000/test-data-sets" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN"
import requests
import json
url = "https://app.aegisrunner.com/api/v1/projects/123e4567-e89b-12d3-a456-426614174000/test-data-sets"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://app.aegisrunner.com/api/v1/projects/123e4567-e89b-12d3-a456-426614174000/test-data-sets", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://app.aegisrunner.com/api/v1/projects/123e4567-e89b-12d3-a456-426614174000/test-data-sets", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://app.aegisrunner.com/api/v1/projects/123e4567-e89b-12d3-a456-426614174000/test-data-sets')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
response = http.request(request)
puts response.body
{
"items": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "John Doe",
"status": "example_string"
}
],
"total": 42
}
[
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "John Doe",
"status": "example_string"
}
]
{
"error": "Bad Request",
"message": "The request contains invalid parameters or malformed data",
"code": 400,
"details": [
{
"field": "email",
"message": "Invalid email format"
}
]
}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
{
"error": "Error",
"message": "Plan or usage entitlement prevents the operation.",
"code": 402
}
{
"error": "Forbidden",
"message": "You don't have permission to access this resource",
"code": 403
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
/projects/{projectId}/test-data-setsTarget server for requests. Edit to use your own host.
AegisRunner account session access token. Complete the supported sign-in, security verification, and two-factor flow as required.
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token. AegisRunner account session access token. Complete the supported sign-in, security verification, and two-factor flow as required.
Path Parameters
Responses
Inspect reusable test data sets belonging to the project before selecting a testDataSetId.
Authenticate with an account session as described in Project and testing API. Use resource IDs available to the same organization and project.
For unattended pipelines, use the separately authenticated CI endpoints.